import { Component, OnInit } from '@angular/core';
import {SinglePost} from "../../models/post";
import {ApiChatService} from "../../services/api-chat.service";

@Component({
  selector: 'app-BoardThreads',
  templateUrl: './threads.component.html',
  styleUrls: ['./threads.component.css']
})
export class ThreadsComponent implements OnInit {

  boardName:string = 'b'
  command: string = "";
  response: any;
  opsToShow: SinglePost[] = []
  showGuide: boolean = false;

  constructor(public apiChatService: ApiChatService) {
  }

  refreshOPs(boardName: string) {
    this.apiChatService.getThreads(boardName).subscribe(response => {
      this.opsToShow = response
    })
  }

  ngOnInit(): void {
    this.apiChatService.getThreads(this.boardName).subscribe(response => {
      this.opsToShow = response
    })
  }
}
