import { Component, Input, OnInit } from '@angular/core';
import { ApiChatService } from '../../services/api-chat.service';
import { SinglePost } from '../../models/post'
import {ActivatedRoute} from "@angular/router";

@Component({
  selector: 'app-SingleThread',
  templateUrl: `./boards.component.html`,
  styleUrls: [`./boards.component.css`]
})
export class BoardsComponent implements OnInit {
  command: string = "";
  response: any;
  postsToShow: SinglePost[] = []
  boardName:string = 'b';
  showGuide: boolean = false;
  threadId: number;

  constructor(
    public apiChatService: ApiChatService,
    private activatedRoute:ActivatedRoute
  ){

  }
  refreshPosts(boardName: string , threadId:number) {
    this.apiChatService.getPosts(boardName, this.threadId).subscribe(response => {
      this.postsToShow = response
    })
  }

  ngOnInit(): void {
    this.threadId = parseInt(<string>this.activatedRoute.snapshot.queryParamMap.get('thread'));
    this.apiChatService.getPosts('postgres', this.threadId).subscribe(response => {
    this.postsToShow = response
    })
  }
}
