import { Component,  OnInit, } from '@angular/core';
import { ApiChatService } from '../../../services/api-chat.service';
import { BoardsComponent } from "../boards.component";
import * as vars from "../../../const/api";
import {ActivatedRoute} from "@angular/router";


@Component({
  selector: 'app-send-post',
  templateUrl: './send-post.component.html',
  styleUrls: ['./send-post.component.css']
})
export class SendPostComponent implements OnInit {

  progress: number;
  message: string = '';
  filename: string[] = [];
  threadId: number;

  constructor(
    public apiChatService: ApiChatService,
    private boards: BoardsComponent,
    private activatedRoute:ActivatedRoute
    ) {
  }




  sendPost(text: string) {
    this.threadId =  parseInt(<string>this.activatedRoute.snapshot.queryParamMap.get('thread'));
    this.apiChatService.sendPostToApi(text, this.filename, this.threadId).subscribe( response => {
      response = response.toString();
      vars.showAlert(response.toString(), "#ff0a36");
      this.refreshDisplayedThread();
    });
    this.message = '0';
    this.filename = [];
  }


   sendPic(event: any) {
     this.apiChatService.sendpic(event.target.files[0]).subscribe(
      response => {
        response = response.value.toString();
        this.filename.push(response);
        vars.showAlert("Картинка " + response + " добавлена к посту!", "#ff0a36")
    });
  }

  refreshDisplayedThread(){
    this.boards.refreshPosts("b", this.threadId)
  }

  ngOnInit(): void {
  }

}
